Developers
API referenceReferenceDocuments

Document relations — list

List all relations belonging to a document. Each relation links the document to another document with a role and type (e.g. accrual/settlement pair).

GET
/v1/business/{business_slug}/document/{document_id}/relation/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

document_id*integer

Identifier of the target document. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

Query Parameters

page?integer

A page number within the paginated result set.

page_size?integer

Number of results to return per page.

Response Body

application/json

curl -X GET "https://example.com/v1/business/string/document/0/relation/"
{  "count": 123,  "next": 2,  "prev": 1,  "size": 30,  "results": [    {      "id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "related_document": 0,      "related_document_summary": {        "property1": null,        "property2": null      },      "description": "string",      "role": "ACCRUAL",      "type": "ACCRUAL_PAIR",      "source_document_signals": {        "property1": null,        "property2": null      },      "related_document_signals": {        "property1": null,        "property2": null      }    }  ]}